Bug 1285131 - KIE server state xml file create in root of server start in filesystem
KIE server state xml file create in root of server start in filesystem
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity unspecified
: CR2
: 6.2.0
Assigned To: Thomas Hauser
Dominik Hanak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 19:54 EST by Eric D. Schabell
Modified: 2015-12-02 07:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kie server state xml file? (230.93 KB, image/png)
2015-11-24 19:54 EST, Eric D. Schabell
no flags Details

  None (edit)
Description Eric D. Schabell 2015-11-24 19:54:17 EST
Created attachment 1098473 [details]
kie server state xml file?

Description of problem: When I install and start bpm suite 6.2.CR1 it generates an XML file that contains the following:

$ cat 15ad5bfa-7532-3eea-940a-abbbbc89f1e8.xml 
<kie-server-state>
  <controllers/>
  <configuration>
    <configItems/>
  </configuration>
  <containers/>
</kie-server-state>

This is placed in the filesystem at the location of where the bpm suite server is started.


Version-Release number of selected component (if applicable): bpm suite 6.2.CR1


How reproducible: install product, start server


Steps to Reproduce:
1. see above.
2.
3.

Actual results: XML file in location server started.


Expected results: XML configuration files in eap server configuration directory, in this case expect it in jboss-eap6.4/standalone/configuration/15ad5bfa-7532-3eea-940a-abbbbc89f1e8.xml


Additional info:
Attachement is screenshot of file in root of my demo project, where I start the standalone bpm suite product from.
Comment 2 Maciej Swiderski 2015-11-25 09:09:50 EST
Eric,

you can change it by setting system property:
Name: org.kie.server.repo
Value: desired location where this xml file should be created
Comment 3 Eric D. Schabell 2015-11-25 09:54:37 EST
Thanks Maciej, that is what I suspected. 

I suggest the bug here would be about setting the default to the EAP configuration directory to avoid losing that file somewhere on your system when starting the BPM Suite server.
Comment 4 Maciej Swiderski 2015-11-25 10:09:18 EST
in this case I'd say this is more for the installer to be consistent with other system properties we set (like org.kie.demo=false, etc). wdyt?
Comment 5 Eric D. Schabell 2015-11-25 10:13:36 EST
(In reply to Maciej Swiderski from comment #4)
> in this case I'd say this is more for the installer to be consistent with
> other system properties we set (like org.kie.demo=false, etc). wdyt?

Yes, this is fine, a sane default.
Comment 6 Maciej Swiderski 2015-11-25 13:57:19 EST
moving to installer component as discussed in the comments above
Comment 7 Thomas Hauser 2015-11-25 15:58:29 EST
I'm thinking of setting the property to jboss.server.config.dir; this means that the xml will be created in different places depending on if standalone / domain is executed. is that acceptable?
Comment 8 Eric D. Schabell 2015-11-25 16:14:57 EST
(In reply to Thomas Hauser from comment #7)
> I'm thinking of setting the property to jboss.server.config.dir; this means
> that the xml will be created in different places depending on if standalone
> / domain is executed. is that acceptable?

Perfectly acceptable.
Comment 9 Eric D. Schabell 2015-11-25 16:55:29 EST
(In reply to Eric D. Schabell from comment #8)
> (In reply to Thomas Hauser from comment #7)
> > I'm thinking of setting the property to jboss.server.config.dir; this means
> > that the xml will be created in different places depending on if standalone
> > / domain is executed. is that acceptable?
> 
> Perfectly acceptable.
>
Just thinking that this file is not a config file, but saves the state of the KIE server... maybe into the data dir of EAP? That's where I have been storing it in my demos.
Comment 10 Thomas Hauser 2015-11-26 11:36:15 EST
Alright, I'll give that property the default value for the data dir :)
Comment 11 Thomas Hauser 2015-11-26 12:57:03 EST
After the changes above, here's where the kie state xmls are saved; also included is what the property is assigned to. Looks pretty good to me, let me know if something should change.

http://pastebin.test.redhat.com/331128
Comment 12 Eric D. Schabell 2015-11-28 19:08:34 EST
That's exactly what I have in my demo projects now. Works for me, thanks.
Comment 13 Dominik Hanak 2015-12-02 02:43:29 EST
Kie server state xml file is now created in data dirs instead of root of server start in filesystem.

Verified in 6.2.0.CR2.
Comment 14 Eric D. Schabell 2015-12-02 05:51:27 EST
Same fix needed for BRMS 6.2.0.CR2 installer, still puts state xml file in root of server start in filesystem. Same bug or new bug?

Confirm fix for BPM Suite 6.2.0.CR2 installer.
Comment 15 Dominik Hanak 2015-12-02 06:12:31 EST
Hi Eric,

I have tried it with both BPMS and BRMS installers and the results were same.
I didn't manage to reproduce with BRMS on CR2.


Path to xml state files after standalone.sh on BRMS:
jboss-eap-6.4/standalone/data/15ad5bfa-7532-3eea-940a-abbbbc89f1e8.xml

Path to xml state files after domain.sh on BRMS:
jboss-eap-6.4/domain/servers/server-one/data/15ad5bfa-7532-3eea-940a-abbbbc89f1e8.xml
jboss-eap-6.4/domain/servers/server-two/data/15ad5bfa-7532-3eea-940a-abbbbc89f1e8.xml
Comment 16 Eric D. Schabell 2015-12-02 07:00:21 EST
Hi Dominik,

Yes, my bad, need to update my installation xml files. Confirm works here too.

Note You need to log in before you can comment on or make changes to this bug.